package com.example.ellegadodepintia.exploradoresDePintia.model.efecto

import android.content.Intent
import com.example.ellegadodepintia.exploradoresDePintia.model.Atributo
import com.example.ellegadodepintia.exploradoresDePintia.model.GameState
import com.example.ellegadodepintia.exploradoresDePintia.model.GameState.context
import com.example.ellegadodepintia.minijuego2.Minijuego2


class EfectoNubeVaccea() : Efecto(100) {
    override fun ejecutar(): String {
        if (GameState.jugador.atributos[Atributo.Energia] == GameState.jugador.energiaMax &&
            GameState.jugador.atributos[Atributo.Vida] == GameState.jugador.vidaMax){
            return "Tienes la vida y la energía al máximo. ¡No necesitas descansar!"
        }

        val intent = Intent(context, Minijuego2::class.java)
        context!!.startActivityForResult(intent, 102)

        GameState.eventoActual.actualizarFinalizado(true)
        return "Has descansado"

    }
}